//////////////////////////////////////////////////////
//win_globals.h
//these are some common externs that many libraries 
//(notably my sound and input libs) need access to.
//I normally define and set these globals in nehe.cpp,
//though in theory someone writting a replacement for that
//library could include this header, not use nehe.lib, and still
//successfully take advantage of the sound and input libraries.

#ifndef WIN_GLOBALS_H
#define WIN_GLOBALS_H

//This guy always wants to be at the very top of everything whenever 
//you are using STL with MSVC
#pragma warning(disable: 4786) 

#include <windows.h>		// Header File For Windows

namespace win_tools {

extern HDC			hDC;		// Private GDI Device Context
extern HGLRC		hRC;		// Permanent Rendering Context
extern HWND			hWnd;		// Holds Our Window Handle
extern HINSTANCE	hInstance;		// Holds The Instance Of The Application

inline void fyi_msg(const char * msg) {
	MessageBox(NULL,msg,"FYI Message",MB_OK|MB_ICONEXCLAMATION);
}

}

#endif